<?php

namespace v1\models;

use app\models\HerramientaObra as ModeloHerramientaObra;

class HerramientaObra extends ModeloHerramientaObra
{

    public function fields()
    {
        return [
            'id',
            'idEmpleado',
            'idHerramienta',
            'idObra',
            'comentario',
            'creado',
            'modificado',

        ];
    }
    public function extraFields() {
        return [
            'empleado','herramienta','obra'
        ];
    }
    public function getEmpleado()
    {
        return $this->hasOne(Empleado::class, ['id' => 'idEmpleado']);
    }
    public function getHerramienta()
    {
        return $this->hasOne(Herramienta::class, ['id'=>'idHerramienta']);
    }
    public function getObra()
    {
        return $this->hasOne(Obra::class, ['id'=>'idObra']);
    }
}
